package MT::Plugin::AssetFileExtensionsBlog;
use strict;
use warnings;
use base 'MT::Plugin';

our $VERSION = '1.00';
our $NAME = ( split /::/, __PACKAGE__ )[-1];

my $plugin = __PACKAGE__->new(
    {   name        => $NAME,
        id          => lc $NAME,
        key         => lc $NAME,
        l10n_class  => $NAME . '::L10N',
        version     => $VERSION,
        author_name => 'SKYARC System Co., Ltd.',
        author_link => 'http://www.skyarc.co.jp/',
        plugin_link =>
            'http://www.skyarc.co.jp/engineerblog/entry/asset_file_extensions_blog.html',
        description =>
            '<__trans phrase="Enable to configure (Denied)AssetFileExtensions and AssetCacheDir for each blog.">',
        init_request => \&_init_request,
    }
);
MT->add_plugin($plugin);

sub _init_request {
    my $blog_id = MT->app->param('blog_id');
    if ($blog_id) {
        my $afe_blog_name = 'AssetFileExtensionsBlog' . $blog_id;
        my $afe_blog      = MT->config->$afe_blog_name;
        if ($afe_blog) {
            MT->config->AssetFileExtensions($afe_blog);
        }

        my $dafe_blog_name = 'DeniedAssetFileExtensionsBlog' . $blog_id;
        my $dafe_blog      = MT->config->$dafe_blog_name;
        if ($dafe_blog) {
            MT->config->DeniedAssetFileExtensions($dafe_blog);
        }

        my $acd_blog_name = 'AssetCacheDirBlog' . $blog_id;
        my $acd_blog      = MT->config->$acd_blog_name;
        if ($acd_blog) {
            MT->config->AssetCacheDir($acd_blog);
        }
    }
}

1;
__END__
